Link a chart to an add-on definition
import requests
url = "https://platform.ankra.app/api/v1/org/helm/addon-definitions/{definition_name}/chart-links"
payload = {
"chart_name": "<string>",
"registry_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chart_name: '<string>', registry_url: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/helm/addon-definitions/{definition_name}/chart-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/helm/addon-definitions/{definition_name}/chart-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chart_name": "<string>",
"registry_url": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chart_name": "<string>",
"registry_url": "<string>",
"link_type": "<string>",
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Helm
Link a chart to an add-on definition
Adds an explicit include or exclude link between a chart in a registry and the add-on definition, overriding the definition’s match rules for that chart.
POST
/
api
/
v1
/
org
/
helm
/
addon-definitions
/
{definition_name}
/
chart-links
Link a chart to an add-on definition
import requests
url = "https://platform.ankra.app/api/v1/org/helm/addon-definitions/{definition_name}/chart-links"
payload = {
"chart_name": "<string>",
"registry_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chart_name: '<string>', registry_url: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/helm/addon-definitions/{definition_name}/chart-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/helm/addon-definitions/{definition_name}/chart-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chart_name": "<string>",
"registry_url": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chart_name": "<string>",
"registry_url": "<string>",
"link_type": "<string>",
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The add-on definition's name (a lowercase slug).
Maximum string length:
100Body
application/json